<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.trace.ui"
   name="%pluginName"
   version="3.0.0"
   provider-name="%providerName"
   class="org.eclipse.hyades.trace.ui.UIPlugin">

   <runtime>
      <library name="core_ui.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.trace.internal.ui, org.eclipse.hyades.trace.ui.internal,org.eclipse.hyades.trace.ui"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.hyades.ui" export="true"/>
      <import plugin="org.eclipse.hyades.security" export="true"/>
      <import plugin="org.eclipse.hyades.execution.local" export="true"/>
      <import plugin="org.eclipse.hyades.models.hierarchy"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.swt"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.jdt.ui"/>
      <import plugin="org.eclipse.jdt.launching"/>
      <import plugin="org.eclipse.jdt.core"/>
      <import plugin="org.eclipse.debug.core"/>
      <import plugin="org.eclipse.core.boot"/>
      <import plugin="org.eclipse.debug.ui"/>
      <import plugin="org.eclipse.jdt.junit"/>
      <import plugin="org.eclipse.jdt.debug"/>
      <import plugin="org.eclipse.jdt.debug.ui"/>
      <import plugin="org.eclipse.pde.core"/>
      <import plugin="org.eclipse.pde.ui"/>
      <import plugin="org.eclipse.ui.console"/>
   </requires>


   <extension-point id="agentType" name="%agentType" schema="schema/agentType.exsd"/>
   <extension-point id="profilingSets" name="%profilingSets" schema="schema/profilingSets.exsd"/>
   <extension-point id="profilingTypesGroups" name="%profilingTypesGroups" schema="schema/profilingTypesGroups.exsd"/>
   <extension-point id="profilingTypes" name="%profilingType" schema="schema/profilingTypes.exsd"/>
   <extension-point id="launcherHandler" name="%launcherHandler" schema="schema/launcherHandler.exsd"/>

<!-- ==================================================================== -->
   <extension
         point="org.eclipse.hyades.ui.typeDescriptions">
      <typeDescription
            name="%PROFILING_AGENT_TITLE"
            type="Profiler"
            icon="icons/full/obj16/agent_prof_obj.gif"
            extension="trace">
      </typeDescription>
      <typeDescription
            name="%LOG_AGENT_TITLE"
            type="Logging"
            icon="icons/full/obj16/agent_log_obj.gif"
            extension="trace">
      </typeDescription>
      <typeDescription
            name="%NODE_TITLE"
            type="Host"
            icon="icons/full/obj16/node_obj.gif"
            extension="trace">
      </typeDescription>
      <typeDescription
            name="%MONITOR_PROPERTIES_TITLE"
            type="Monitor"
            icon="icons/full/obj16/monitor_obj.gif"
            extension="trace">
      </typeDescription>
   </extension>
<!-- ==================================================================== -->
   <extension
         point="org.eclipse.ui.views">
      <category
            name="%STR_TRACE_CATEGORY"
            id="org.eclipse.hyades.trace.internal.ui.trace">
      </category>
      <view
            name="%STR_TRACE_PROJ_TITLE"
            icon="icons/full/cview16/trace_view.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.trace.internal.ui.PDProjectExplorer"
            id="org.eclipse.hyades.trace.internal.ui.PDProjectExplorer">
      </view>
   </extension>
   <extension
         point="org.eclipse.ui.viewActions">
<!-- Contributions to Monitors View Toolbar -->
      <viewContribution
            targetID="org.eclipse.hyades.trace.internal.ui.PDProjectExplorer"
            id="org.eclipse.hyades.trace.ui.internal.monitorsview.toolbar">
<!-- Profile Group -->
         <action
               id="org.eclipse.hyades.trace.ui.internal.monitorsview.toolbar.stopMonitoring"
               toolbarPath="monitoringGroup"
               hoverIcon="icons/full/clcl16/suspend_co.gif"
               class="org.eclipse.hyades.trace.ui.internal.actions.StopTraceActionDelegate"
               disabledIcon="icons/full/dlcl16/suspend_co.gif"
               icon="icons/full/elcl16/suspend_co.gif"
               helpContextId="stop_monitoring_action_context"
               label="%STOP_MONITOR"
               tooltip="%STOP_TRACE">
         </action>
         <action
               id="org.eclipse.hyades.trace.ui.internal.monitorsview.toolbar.startMonitoring"
               toolbarPath="monitoringGroup"
               hoverIcon="icons/full/clcl16/resume_co.gif"
               class="org.eclipse.hyades.trace.ui.internal.actions.StartTraceActionDelegate"
               disabledIcon="icons/full/dlcl16/resume_co.gif"
               icon="icons/full/elcl16/resume_co.gif"
               helpContextId="start_monitoring_action_context"
               label="%START_MONITOR"
               tooltip="%START_TRACE">
         </action>
<!-- GC group-->
         <action
               label="%RUN_GC_ACTION"
               hoverIcon="icons/full/clcl16/rungc_co.gif"
               icon="icons/full/elcl16/rungc_co.gif"
               tooltip="%RUN_GC_ACTION_TIP"
               class="org.eclipse.hyades.trace.ui.internal.actions.RunGCActionDelegate"
               toolbarPath="gcGroup"
               disabledIcon="icons/full/dlcl16/rungc_co.gif"
               id="org.eclipse.hyades.trace.ui.internal.monitorsview.toolbar.runGC">
         </action>
         <action
               id="org.eclipse.hyades.trace.ui.internal.monitorsview.toolbar.refreshViews"
               toolbarPath="refreshGroup"
               hoverIcon="icons/full/clcl16/updateviews_co.gif"
               class="org.eclipse.hyades.trace.ui.internal.actions.RefreshViewsActionDelegate"
               disabledIcon="icons/full/dlcl16/updateviews_co.gif"
               icon="icons/full/elcl16/updateviews_co.gif"
               helpContextId="refresh_views_action_context"
               label="%REFRESH_VIEWS"
               tooltip="%REFRESH_VIEWS">
         </action>
      </viewContribution>
   </extension>
   <extension
         point="org.eclipse.ui.popupMenus">
<!-- Contributions to Monitors View Popup Menu -->
      <objectContribution
            objectClass="org.eclipse.hyades.models.hierarchy.TRCAgentProxy"
            id="org.eclipse.hyades.models.hierarchy.TRCAgentProxy">
<!-- Monitoring Group -->
         <action
               label="%STOP_MONITOR"
               icon="icons/full/clcl16/suspend_co.gif"
               helpContextId="start_monitoring_action_context"
               class="org.eclipse.hyades.trace.ui.internal.actions.StopTraceAction"
               menubarPath="monitoringGroup"
               id="org.eclipse.hyades.trace.ui.internal.popupMenu.stopMonitoring">
         </action>
         <action
               label="%START_MONITOR"
               icon="icons/full/clcl16/resume_co.gif"
               helpContextId="start_monitoring_action_context"
               tooltip="START_TRACE"
               class="org.eclipse.hyades.trace.ui.internal.actions.StartTraceAction"
               menubarPath="monitoringGroup"
               id="org.eclipse.hyades.trace.ui.internal.monitorsview.popupMenu.startMonitoring">
         </action>
<!-- Attach Group -->
         <action
               label="%DETACH"
               tooltip="DETACH_AGT_PROCESS"
               class="org.eclipse.hyades.trace.ui.internal.actions.DetachAction"
               menubarPath="attachGroup"
               id="org.eclipse.hyades.trace.ui.internal.popupMenu.DetachAction">
         </action>
         <action
               label="%ATTACH_AGENT_MENU"
               tooltip="ATTACH_AGT_PROCESS"
               class="org.eclipse.hyades.trace.ui.internal.actions.AttachAction"
               menubarPath="attachGroup"
               id="org.eclipse.hyades.trace.ui.internal.popupMenu.AttachAction">
         </action>
<!--New snapshot Group -->
         <action
               label="%NEW_SNAPSHOT_MENU"
               tooltip="NEW_SNAPSHOT_TOOLTIP"
               class="org.eclipse.hyades.trace.ui.internal.actions.NewSnapshotAction"
               menubarPath="newSnapshotGroup"
               id="org.eclipse.hyades.trace.ui.internal.popupMenu.NewSnapshot">
         </action>
<!--GC Group -->
         <action
               label="%RUN_GC_ACTION"
               icon="icons/full/clcl16/rungc_co.gif"
               helpContextId="run_gc_action_context"
               tooltip="%RUN_GC_ACTION_TIP"
               class="org.eclipse.hyades.trace.ui.internal.actions.RunGCAction"
               menubarPath="gcGroup"
               id="org.eclipse.hyades.trace.ui.monitorsview.popupMenu.GC">
         </action>
<!-- Terminate Group -->
         <action
               label="%TERMINATE"
               icon="icons/full/clcl16/terminate_co.gif"
               tooltip="%TERMINATE"
               class="org.eclipse.hyades.trace.ui.internal.actions.TerminateProcessAction"
               menubarPath="terminateGroup"
               id="org.eclipse.hyades.trace.ui.internal.popupMenu.TerminateAction">
         </action>
<!-- Refresh Group -->
         <action
               label="%REFRESH_VIEWS"
               icon="icons/full/clcl16/updateviews_co.gif"
               helpContextId="refresh_views_action_context"
               tooltip="REFRESH_VIEWS"
               class="org.eclipse.hyades.trace.ui.internal.actions.RefreshViewsAction"
               menubarPath="refreshGroup"
               id="org.eclipse.hyades.trace.ui.internal.monitorsview.popupMenu.refreshViews">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.hyades.models.hierarchy.TRCMonitor"
            id="org.eclipse.hyades.models.hierarchy.TRCMonitor">
         <action
               label="%REFRESH_VIEWS"
               icon="icons/full/clcl16/updateviews_co.gif"
               helpContextId="refresh_views_action_context"
               tooltip="REFRESH_VIEWS"
               class="org.eclipse.hyades.trace.ui.internal.actions.RefreshViewsAction"
               menubarPath="refreshGroup"
               id="org.eclipse.hyades.trace.ui.internal.monitorsview.popupMenu.refreshViews">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.models.hyades.hierarchy.TRCNode"
            id="org.eclipse.hyades.models.hierarchy.TRCNode">
         <action
               label="%REFRESH_VIEWS"
               icon="icons/full/clcl16/updateviews_co.gif"
               helpContextId="refresh_views_action_context"
               tooltip="REFRESH_VIEWS"
               class="org.eclipse.hyades.trace.ui.internal.actions.RefreshViewsAction"
               menubarPath="refreshGroup"
               id="org.eclipse.hyades.trace.ui.internal.monitorsview.popupMenu.refreshViews">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.hyades.models.hierarchy.TRCProcessProxy"
            id="org.eclipse.hyades.models.hierarchy.TRCProcessProxy">
         <action
               label="%REFRESH_VIEWS"
               icon="icons/full/clcl16/updateviews_co.gif"
               helpContextId="refresh_views_action_context"
               tooltip="REFRESH_VIEWS"
               class="org.eclipse.hyades.trace.ui.internal.actions.RefreshViewsAction"
               menubarPath="refreshGroup"
               id="org.eclipse.hyades.trace.ui.internal.monitorsview.popupMenu.refreshViews">
         </action>
<!--GC Group -->
         <action
               label="%RUN_GC_ACTION"
               icon="icons/full/clcl16/rungc_co.gif"
               helpContextId="run_gc_action_context"
               tooltip="%RUN_GC_ACTION_TIP"
               class="org.eclipse.hyades.trace.ui.internal.actions.RunGCAction"
               menubarPath="gcGroup"
               id="org.eclipse.hyades.trace.ui.monitorsview.popupMenu.GC">
         </action>
<!-- Terminate Group -->
         <action
               label="%TERMINATE"
               icon="icons/full/clcl16/terminate_co.gif"
               tooltip="%TERMINATE"
               class="org.eclipse.hyades.trace.ui.internal.actions.TerminateProcessAction"
               menubarPath="terminateGroup"
               id="org.eclipse.hyades.trace.ui.internal.popupMenu.TerminateAction">
         </action>
      </objectContribution>
   </extension>
<!-- ============================================================================= -->
<!-- Trace Perspective -->
<!-- ============================================================================= -->
   <extension
         point="org.eclipse.ui.perspectives">
      <perspective
            name="%STR_TRACE_PERSP"
            icon="icons/full/cview16/trace_persp.gif"
            class="org.eclipse.hyades.trace.internal.ui.PDPerspective"
            id="org.eclipse.hyades.trace.internal.ui.tracePerspective">
      </perspective>
   </extension>
   <extension
         point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension
            targetID="org.eclipse.ui.resourcePerspective">
         <perspectiveShortcut
               id="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         </perspectiveShortcut>
      </perspectiveExtension>
      <perspectiveExtension
            targetID="org.eclipse.jdt.ui.JavaPerspective">
         <perspectiveShortcut
               id="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         </perspectiveShortcut>
      </perspectiveExtension>
      <perspectiveExtension
            targetID="org.eclipse.debug.ui.DebugPerspective">
         <perspectiveShortcut
               id="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         </perspectiveShortcut>
      </perspectiveExtension>
      <perspectiveExtension
            targetID="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         <perspectiveShortcut
               id="org.eclipse.jdt.ui.JavaPerspective">
         </perspectiveShortcut>
      </perspectiveExtension>
      <perspectiveExtension
            targetID="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         <perspectiveShortcut
               id="org.eclipse.debug.ui.DebugPerspective">
         </perspectiveShortcut>
      </perspectiveExtension>
      <perspectiveExtension
            targetID="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         <actionSet
               id="org.eclipse.jdt.ui.JavaActionSet">
         </actionSet>
      </perspectiveExtension>
      <perspectiveExtension
            targetID="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         <actionSet
               id="org.eclipse.debug.ui.profileActionSet">
         </actionSet>
      </perspectiveExtension>
   </extension>
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="%STR_PREF_TRACE"
            class="org.eclipse.hyades.trace.ui.internal.preferences.TraceBasePreferencePage"
            id="org.eclipse.hyades.trace.ui.internal.preferences.TraceBasePreferencePage">
      </page>
      <page
            name="%STR_PREF_TRACE_VIEW"
            category="org.eclipse.hyades.trace.ui.internal.preferences.TraceBasePreferencePage"
            class="org.eclipse.hyades.trace.ui.internal.preferences.TraceViewPreferencePage"
            id="org.eclipse.hyades.trace.ui.internal.preferences.TraceViewPreferencePage">
      </page>
      <page
            name="%STR_PREF_NODE_PAGE"
            category="org.eclipse.hyades.trace.ui.internal.preferences.TraceBasePreferencePage"
            class="org.eclipse.hyades.trace.ui.internal.preferences.HostPreferencePage"
            id="org.eclipse.hyades.trace.ui.internal.preferences.HostPreferencePage">
      </page>
      <page
            name="%STR_PREF_PROFILE_BASE"
            category="org.eclipse.hyades.trace.ui.internal.preferences.TraceBasePreferencePage"
            class="org.eclipse.hyades.trace.ui.internal.preferences.ProfileBasePreferencePage"
            id="org.eclipse.hyades.trace.ui.internal.preferences.ProfileBasePreferencePage">
      </page>
      <page
            name="%TRACE_ASSOC_PAGE"
            category="org.eclipse.hyades.trace.ui.internal.preferences.TraceBasePreferencePage"
            class="org.eclipse.hyades.trace.ui.internal.preferences.TraceViewMappingPreferencePage"
            id="org.eclipse.hyades.trace.ui.internal.preferences.TraceViewMappingPreferencePage">
      </page>
      <page
            name="%LOGGING_AGENTS_PREF_PAGE"
            category="org.eclipse.hyades.trace.ui.internal.preferences.TraceBasePreferencePage"
            class="org.eclipse.hyades.trace.ui.internal.preferences.LoggingAgentsPreferencePage"
            id="org.eclipse.hyades.trace.ui.internal.preferences.LoggingAgentsPreferencePage">
      </page>
   </extension>
<!-- - - - - - - - - - - - - - - - - - - - - - - -->
<!-- Editors for the following Perftrace objects -->
<!-- TRCMonitor, TRCNode, TRCProcessProxy, TRCAgentProxy-->
<!-- - - - - - - - - - - - - - - - - - - - - - - -->
   <extension
         point="org.eclipse.ui.editors">
      <editor
            name="%STR_MONITOR_EDITOR"
            icon="icons/full/obj16/monitor_obj.gif"
            extensions="trcmxmi"
            class="org.eclipse.hyades.trace.ui.internal.editors.TRCMonitorEditor"
            id="org.eclipse.hyades.trace.ui.internal.editors.TRCMonitorEditor">
      </editor>
      <editor
            name="%STR_NODE_EDITOR"
            icon="icons/full/obj16/node_obj.gif"
            extensions="trcnxmi"
            class="org.eclipse.hyades.trace.ui.internal.editors.TRCNodeEditor"
            id="org.eclipse.hyades.trace.ui.internal.editors.TRCNodeEditor">
      </editor>
      <editor
            name="%STR_PROCESS_EDITOR"
            icon="icons/full/obj16/process_obj.gif"
            extensions="trcpxmi"
            class="org.eclipse.hyades.trace.ui.internal.editors.TRCProcessEditor"
            id="org.eclipse.hyades.trace.ui.internal.editors.TRCProcessEditor">
      </editor>
      <editor
            name="%STR_AGENT_EDITOR"
            icon="icons/full/obj16/agent_prof_obj.gif"
            extensions="trcaxmi"
            class="org.eclipse.hyades.trace.ui.internal.editors.TRCAgentEditor"
            id="org.eclipse.hyades.trace.ui.internal.editors.TRCAgentEditor">
      </editor>
   </extension>
   <extension
         point="org.eclipse.ui.importWizards">
      <wizard
            name="%STR_IMPORT_XML_TITLE"
            icon="icons/full/ctool16/launchtrace_wiz.gif"
            class="org.eclipse.hyades.trace.ui.internal.wizard.ImportXMLTraceWizard"
            id="ImportTraceXMLWizard">
         <description>
            %STR_IMPORT_XML_DESC
         </description>
         <selection
               class="org.eclipse.core.resources.IResource">
         </selection>
      </wizard>
   </extension>
   <extension
         point="org.eclipse.ui.newWizards">
      <category
            name="%TRACE_LOG_NEWWIZ"
            id="org.eclipse.hyades.trace_log.newWizard">
      </category>
   </extension>
<!-- Launch Configurations -->
   <extension
         point="org.eclipse.debug.core.launchConfigurationTypes">
      <launchConfigurationType
            name="%LAUNCH_TYPE_EXTERNAL_JAVA_APPLICATION"
            delegate="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJavaApplicationDelegate"
            modes="profile"
            id="org.eclipse.hyades.trace.ui.internal.launcher.NotWithinWBJavaApplication">
      </launchConfigurationType>
      <launchConfigurationType
            name="%LAUNCH_TYPE_JAVA_PROCESS"
            delegate="org.eclipse.hyades.trace.ui.internal.launcher.ProfileAttachDelegate"
            modes="profile"
            id="org.eclipse.hyades.trace.ui.internal.launcher.localJavaProcess">
      </launchConfigurationType>
   </extension>
   <extension
         point="org.eclipse.debug.ui.launchConfigurationTypeImages">
      <launchConfigurationTypeImage
            icon="icons/full/obj16/remote_java_app.gif"
            configTypeID="org.eclipse.hyades.trace.ui.internal.launcher.NotWithinWBJavaApplication"
            id="org.eclipse.hyades.trace.ui.internal.launcher.launchConfigurationTypeImage.NotWithinWBJavaApplication">
      </launchConfigurationTypeImage>
      <launchConfigurationTypeImage
            icon="icons/full/obj16/process_obj.gif"
            configTypeID="org.eclipse.hyades.trace.ui.internal.launcher.localJavaProcess"
            id="org.eclipse.hyades.trace.ui.internal.launcher.launchConfigurationTypeImage.localJavaProcess">
      </launchConfigurationTypeImage>
   </extension>
   <extension
         point="org.eclipse.debug.ui.launchConfigurationTabGroups">
      <launchConfigurationTabGroup
            type="org.eclipse.jdt.launching.localJavaApplication"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileWithinWBJavaApplicationTabGroup"
            id="org.eclipse.hyades.trace.ui.launchConfigurationTabGroup.profileWithinWBJavaApplication">
         <launchMode
               perspective="org.eclipse.hyades.trace.internal.ui.tracePerspective"
               mode="profile">
         </launchMode>
      </launchConfigurationTabGroup>
      <launchConfigurationTabGroup
            type="org.eclipse.hyades.trace.ui.internal.launcher.NotWithinWBJavaApplication"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileNotWithinWBJavaApplicationTabGroup"
            id="org.eclipse.hyades.trace.ui.launchConfigurationTabGroup.profileNotWithinWBJavaApplication">
         <launchMode
               perspective="org.eclipse.hyades.trace.internal.ui.tracePerspective"
               mode="profile">
         </launchMode>
      </launchConfigurationTabGroup>
      <launchConfigurationTabGroup
            type="org.eclipse.hyades.trace.ui.internal.launcher.localJavaProcess"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJavaProcessTabGroup"
            id="org.eclipse.hyades.trace.ui.launchConfigurationTabGroup.profileLocalJavaProcess">
         <launchMode
               perspective="org.eclipse.hyades.trace.internal.ui.tracePerspective"
               mode="profile">
         </launchMode>
      </launchConfigurationTabGroup>
      <launchConfigurationTabGroup
            type="org.eclipse.jdt.launching.javaApplet"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJavaAppletTabGroup"
            id="org.eclipse.hyades.trace.ui.launchConfigurationTabGroup.profileJavaApplet">
         <launchMode
               perspective="org.eclipse.hyades.trace.internal.ui.tracePerspective"
               mode="profile">
         </launchMode>
      </launchConfigurationTabGroup>
      <launchConfigurationTabGroup
            type="org.eclipse.pde.ui.RuntimeWorkbench"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileRuntimeWorkbenchTabGroup"
            id="org.eclipse.hyades.trace.ui.launchConfigurationTabGroup.profileRuntimeWorkbench">
         <launchMode
               perspective="org.eclipse.hyades.trace.internal.ui.tracePerspective"
               mode="profile">
         </launchMode>
      </launchConfigurationTabGroup>
      <launchConfigurationTabGroup
            type="org.eclipse.jdt.junit.launchconfig"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJUnitTabGroup"
            id="org.eclipse.hyades.trace.ui.launchConfigurationTabGroup.profileJUnit">
         <launchMode
               perspective="org.eclipse.hyades.trace.internal.ui.tracePerspective"
               mode="profile">
         </launchMode>
      </launchConfigurationTabGroup>      
      <launchConfigurationTabGroup
            type="org.eclipse.pde.ui.JunitLaunchConfig"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJUnitPluginTabGroup"
            id="org.eclipse.hyades.trace.ui.launchConfigurationTabGroup.profileJUnitPlugin">
         <launchMode
               perspective="org.eclipse.hyades.trace.internal.ui.tracePerspective"
               mode="profile">
         </launchMode>
      </launchConfigurationTabGroup>      
   </extension>
   <extension
         point="org.eclipse.debug.core.launchDelegates">
      <launchDelegate
            type="org.eclipse.jdt.launching.localJavaApplication"
            delegate="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJavaApplicationDelegate"
            modes="profile"
            id="org.eclipse.hyades.trace.ui.profileJavaApplicationDelegate">
      </launchDelegate>
      <launchDelegate
            type="org.eclipse.jdt.launching.javaApplet"
            delegate="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJavaAppletDelegate"
            modes="profile"
            id="org.eclipse.hyades.trace.ui.profileJavaAppletDelegate">
      </launchDelegate>
      <launchDelegate
            type="org.eclipse.pde.ui.RuntimeWorkbench"
            delegate="org.eclipse.hyades.trace.ui.internal.launcher.ProfileRuntimeWorkbenchDelegate"
            modes="profile"
            id="org.eclipse.hyades.trace.ui.profileRuntimeWorkbenchDelegate">
      </launchDelegate>
      <launchDelegate
            type="org.eclipse.jdt.junit.launchconfig"
            delegate="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJUnitDelegate"
            modes="profile"
            id="org.eclipse.hyades.trace.ui.profileJUnitDelegate">
      </launchDelegate>
      <launchDelegate
            type="org.eclipse.pde.ui.JunitLaunchConfig"
            delegate="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJUnitPluginDelegate"
            modes="profile"
            id="org.eclipse.hyades.trace.ui.profileJUnitPluginDelegate">
      </launchDelegate>
   </extension>
   <extension
         point="org.eclipse.debug.ui.launchShortcuts">
      <shortcut
            label="%LAUNCH_SHORTCUT_JAVA_APPLICATION"
            icon="icons/full/obj16/java_app.gif"
            modes="profile"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJavaApplicationShortcut"
            id="org.eclipse.trace.ui.javaApplicationShortcut">
         <contextualLaunch>
           <enablement>
             <!-- XML expression language (warnings inevitable) -->
             <with variable="selection">
               <count value="1"/>
               <iterate>
                 <or>
                   <test property="org.eclipse.debug.ui.matchesPattern" value="*.java"/>
                   <test property="org.eclipse.debug.ui.matchesPattern" value="*.class"/>
                 </or>
                 <test property="org.eclipse.jdt.debug.ui.hasMainType"/>
               </iterate>
             </with>
           </enablement>
           <contextLabel
         	  mode="profile"
         	  label="%LAUNCH_SHORTCUT_JAVA_APPLICATION_CONTEXTUAL"/>
  		 </contextualLaunch>
         <perspective
               id="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         </perspective>
      </shortcut>
      <!-- #54072 Needed to inherit existing run/debug shortcuts -->
      <shortcut
            label="%LAUNCH_SHORTCUT_JAVA_APPLICATION"
            icon="icons/full/obj16/java_app.gif"
            modes="run, debug"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJavaApplicationShortcut"
            id="org.eclipse.trace.ui.javaApplicationShortcut2">
         <perspective
               id="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         </perspective>
      </shortcut>
      <shortcut
            label="%LAUNCH_SHORTCUT_JAVA_APPLET"
            icon="icons/full/obj16/java_applet.gif"
            modes="profile"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJavaAppletShortcut"
            id="org.eclipse.trace.ui.javaAppletShortcut">
         <contextualLaunch>
           <enablement>
             <!-- XML expression language (warnings inevitable) -->
             <with variable="selection">
               <count value="1"/>
               <iterate>
                 <or>
                   <test property="org.eclipse.debug.ui.matchesPattern" value="*.java"/>
                   <test property="org.eclipse.debug.ui.matchesPattern" value="*.class"/>
                 </or>
                 <test property="org.eclipse.jdt.debug.ui.isApplet"/>
               </iterate>
             </with>
           </enablement>
           <contextLabel
         	  mode="profile"
         	  label="%LAUNCH_SHORTCUT_JAVA_APPLET_CONTEXTUAL"/>
  		 </contextualLaunch>
         <perspective
               id="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         </perspective>
      </shortcut>
      <!-- #54072 Needed to inherit existing run/debug shortcuts -->
      <shortcut
            label="%LAUNCH_SHORTCUT_JAVA_APPLET"
            icon="icons/full/obj16/java_applet.gif"
            modes="run, debug"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJavaAppletShortcut"
            id="org.eclipse.trace.ui.javaAppletShortcut2">
         <perspective
               id="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         </perspective>
      </shortcut>
      <shortcut
            label="%LAUNCH_SHORTCUT_JUNIT"
            icon="icons/full/obj16/junit.gif"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJUnitShortcut"
            modes="profile"
            id="org.eclipse.trace.ui.jUnitShortcut">
         <contextualLaunch>
           <enablement>
             <!-- XML expression language (warnings inevitable) -->
             <with variable="selection">
               <count value="1"/>
               <iterate>
                 <or>
                   <test property="org.eclipse.debug.ui.matchesPattern" value="*.java"/>
                   <test property="org.eclipse.debug.ui.matchesPattern" value="*.class"/>
                 </or>
                 <test property="org.eclipse.jdt.junit.isTest"/>
               </iterate>
             </with>
           </enablement>
           <contextLabel
         	  mode="profile"
         	  label="%LAUNCH_SHORTCUT_JUNIT_CONTEXTUAL"/>
  		 </contextualLaunch>
         <perspective
               id="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         </perspective>
      </shortcut>
      <!-- #54072 Needed to inherit existing run/debug shortcuts -->
      <shortcut
            label="%LAUNCH_SHORTCUT_JUNIT"
            icon="icons/full/obj16/junit.gif"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJUnitShortcut"
            modes="run, debug"
            id="org.eclipse.trace.ui.jUnitShortcut2">
         <perspective
               id="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         </perspective>
      </shortcut>
      <shortcut
            label="%LAUNCH_SHORTCUT_WORKBENCH"
            icon="icons/full/obj16/runtime_workbench.gif"
            modes="run, debug, profile"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileRuntimeWorkbenchShortcut"
            id="org.eclipse.trace.ui.runtimeWorkbenchShortcut">
         <perspective
               id="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         </perspective>
      </shortcut>
      <shortcut
            label="%LAUNCH_SHORTCUT_JUNIT_PLUGIN"
            icon="icons/full/obj16/junit_plugin.gif"
            modes="run, debug, profile"
            class="org.eclipse.hyades.trace.ui.internal.launcher.ProfileJUnitPluginShortcut"
            id="org.eclipse.trace.ui.jUnitPluginShortcut">
         <perspective
               id="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         </perspective>
      </shortcut>
   </extension>
   
   <extension
         id="org.eclipse.hyades.defaultProfilingSets"
         name="defaultProfilingSets"
         point="org.eclipse.hyades.trace.ui.profilingSets">
      <profilingSet
            name="%heapName"
            description="%STR_ANALYZE_HEAP"
            id="org.eclipse.hyades.defaultProfilingSets.memory">
         <profilingTypes>
            <profilingType
                  id="org.eclipse.hyades.profilingType.memoryHeap">
            </profilingType>
         </profilingTypes>
         <attributes>
            <attribute
                  name="TRACE_MODE"
                  type="SETOPTION"
                  value="full">
            </attribute>
            <attribute
                  name="TICKET"
                  type="SETOPTION"
                  value="true">
            </attribute>
            <attribute
                  name="ALLOCATION_INFORMATION"
                  type="SETOPTION"
                  value="default">
            </attribute>
            <attribute
                  name="SHOW_HEAP_INSTANCES"
                  type="ATTR"
                  value="false">
            </attribute>
         </attributes>
      </profilingSet>
      <profilingSet
            name="%executionName"
            description="%STR_ANALYZE_EXE_TIME"
            id="org.eclipse.hyades.defaultProfilingSets.execution">
         <profilingTypes>
            <profilingType
                  id="org.eclipse.hyades.profilingType.execution">
            </profilingType>
         </profilingTypes>
         <attributes>
            <attribute
                  name="TRACE_MODE"
                  type="SETOPTION"
                  value="noObjectCorrelation">
            </attribute>
            <attribute
                  name="TICKET"
                  type="SETOPTION"
                  value="true">
            </attribute>
            <attribute
                  name="STACK_INFORMATION"
                  type="SETOPTION"
                  value="normal">
            </attribute>
            <attribute
                  name="SHOW_EXECUTION_FLOW"
                  type="ATTR"
                  value="false">
            </attribute>
            <attribute
                  name="SHOW_EXEC_INSTANCES"
                  type="ATTR"
                  value="false">
            </attribute>
         </attributes>
      </profilingSet>
      <profilingSet
            name="%coverageName"
            description="%STR_ANALYZE_COVERAGE"
            id="org.eclipse.hyades.defaultProfilingSets.coverage">
         <profilingTypes>
            <profilingType
                  id="org.eclipse.hyades.profilingType.methodCoverage">
            </profilingType>
         </profilingTypes>
         <attributes>
            <attribute
                  name="TRACE_MODE"
                  type="SETOPTION"
                  value="noObjectCorrelation">
            </attribute>
            <attribute
                  name="TICKET"
                  type="SETOPTION"
                  value="true">
            </attribute>
            <attribute
                  name="STACK_INFORMATION"
                  type="SETOPTION"
                  value="normal">
            </attribute>
            <attribute
                  name="METHOD_COUNTS"
                  type="SETOPTION"
                  value="true">
            </attribute>
         </attributes>
      </profilingSet>
   </extension>
   <extension
         id="org.eclipse.hyades.profilingTypesGroups"
         point="org.eclipse.hyades.trace.ui.profilingTypesGroups">
      <profilingTypesGroup
            name="%MEMORY_ANALYSIS"
            icon="icons/full/obj16/classmeth_statistic_co.gif"
            description="%MEMORY_ANALYSIS_GROUP_DESCRIPTION"
            id="org.eclipse.hyades.profilingTypesGroups.memory">
      </profilingTypesGroup>
      <profilingTypesGroup
            name="%TIME_ANALYSIS"
            icon="icons/full/obj16/exec_flow_co.gif"
            description="%EXECUTION_HISTORY_GROUP_DESCRIPTION"
            id="org.eclipse.hyades.profilingTypesGroups.execution">
      </profilingTypesGroup>
      <profilingTypesGroup
            name="%CODE_COVERAGE"
            icon="icons/full/obj16/cov_statistic_co.gif"
            description="%CODE_COVERAGE_GROUP_DESCRIPTION"
            id="org.eclipse.hyades.profilingTypesGroups.coverage">
      </profilingTypesGroup>
   </extension>
   <extension
         id="org.eclipse.hyades.defaultProfilingTypes"
         name="defaultProfilingTypes"
         point="org.eclipse.hyades.trace.ui.profilingTypes">
      <profilingType
            name="%memoryType"
            useFilters="true"
            icon="icons/full/obj16/classmeth_statistic_co.gif"
            className="org.eclipse.hyades.trace.ui.internal.launcher.defaults.MemoryHeapProfilingType"
            description=""
            group="org.eclipse.hyades.profilingTypesGroups.memory"
            id="org.eclipse.hyades.profilingType.memoryHeap">
      </profilingType>
      <profilingType
            name="%executionGroup"
            useFilters="true"
            icon="icons/full/obj16/exec_flow_co.gif"
            className="org.eclipse.hyades.trace.ui.internal.launcher.defaults.ExecutionTimeProfilingType"
            description=""
            group="org.eclipse.hyades.profilingTypesGroups.execution"
            id="org.eclipse.hyades.profilingType.execution">
      </profilingType>
      <profilingType
            name="%coverageType"
            useFilters="true"
            icon="icons/full/obj16/cov_statistic_co.gif"
            className="org.eclipse.hyades.trace.ui.internal.launcher.defaults.MethodCodeCoverageProfilingType"
            description=""
            group="org.eclipse.hyades.profilingTypesGroups.coverage"
            id="org.eclipse.hyades.profilingType.methodCoverage">
      </profilingType>
   </extension>
   <extension
         point="org.eclipse.help.contexts">
      <contexts
            file="ProfilingHelpContexts.xml"
            plugin="org.eclipse.hyades.trace.ui">
      </contexts>
      <contexts
            file="ProfilingWizHelpContexts.xml"
            plugin="org.eclipse.hyades.trace.ui">
      </contexts>
      <contexts
            file="ProfilingActionHelpContexts.xml"
            plugin="org.eclipse.hyades.trace.ui">
      </contexts>
   </extension>
   <extension
         point="org.eclipse.hyades.ui.navigatorExtensions">
      <navigatorFilterSet
            defaultEnabled="true"
            recursive="false"
            label="%FILTER_SET_FOLDERS"
            icon="icons/full/obj16/folder.gif"
            common="true"
            class="org.eclipse.hyades.trace.ui.internal.navigator.FolderNavigatorFilterSet"
            navigatorID="org.eclipse.hyades.trace.ui.profileNavigator"
            id="org.eclipse.hyades.trace.ui.navigatorFilterSet.folders">
      </navigatorFilterSet>
      <navigatorFilterSet
            defaultEnabled="true"
            recursive="false"
            label="%FILTER_SET_MONITORS"
            icon="icons/full/obj16/monitor_obj.gif"
            common="true"
            class="org.eclipse.hyades.trace.ui.internal.navigator.MonitorNavigatorFilterSet"
            navigatorID="org.eclipse.hyades.trace.ui.profileNavigator"
            id="org.eclipse.hyades.trace.ui.navigatorFilterSet.monitors">
      </navigatorFilterSet>
      <navigatorFilterSet
            defaultEnabled="true"
            recursive="false"
            label="%FILTER_SET_NODES"
            icon="icons/full/obj16/node_obj.gif"
            common="true"
            class="org.eclipse.hyades.trace.ui.internal.navigator.NodeNavigatorFilterSet"
            navigatorID="org.eclipse.hyades.trace.ui.profileNavigator"
            id="org.eclipse.hyades.trace.ui.navigatorFilterSet.hosts">
      </navigatorFilterSet>
      <navigatorFilterSet
            recursive="false"
            label="%FILTER_SET_PROCESSES"
            icon="icons/full/obj16/process_obj.gif"
            common="true"
            class="org.eclipse.hyades.trace.ui.internal.navigator.ProcessNavigatorFilterSet"
            navigatorID="org.eclipse.hyades.trace.ui.profileNavigator"
            id="org.eclipse.hyades.trace.ui.navigatorFilterSet.processes">
      </navigatorFilterSet>
      <navigatorFilterSet
            recursive="false"
            label="%FILTER_SET_LOG_AGENTS"
            icon="icons/full/obj16/agent_log_obj.gif"
            common="true"
            class="org.eclipse.hyades.trace.ui.internal.navigator.LoggingAgentNavigatorFilterSet"
            navigatorID="org.eclipse.hyades.trace.ui.profileNavigator"
            id="org.eclipse.hyades.trace.ui.navigatorFilterSet.loggingAgents">
      </navigatorFilterSet>
      <navigatorFilterSet
            label="%FILTER_SET_PROF_AGENTS"
            icon="icons/full/obj16/agent_prof_obj.gif"
            common="true"
            class="org.eclipse.hyades.trace.ui.internal.navigator.ProfilingAgentNavigatorFilterSet"
            navigatorID="org.eclipse.hyades.trace.ui.profileNavigator"
            id="org.eclipse.hyades.trace.ui.navigatorFilterSet.profilingAgents">
      </navigatorFilterSet>
            <navigatorContribution
            navigatorID="org.eclipse.hyades.trace.ui.profileNavigator"
            class="org.eclipse.hyades.trace.ui.internal.navigator.ProfileDetailNavigatorExtension"/>
       <navigatorFilterSet
       		recursive = "true"
        	defaultEnabled="false"
            label="%FILTER_SET_PROF_DETAILS"
            icon="icons/full/obj16/profile_obj.gif"
            common="true"
            class="org.eclipse.hyades.trace.ui.internal.navigator.ProfileDetailNavigatorFilterSet"
            navigatorID="org.eclipse.hyades.trace.ui.profileNavigator"
            id="org.eclipse.hyades.trace.ui.navigatorFilterSet.profileDetails">
      </navigatorFilterSet>
   </extension>

</plugin>
